Bug 426453 - Sound does not work through SDL
Sound does not work through SDL
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 01:03 EST by The Source
Modified: 2008-11-26 05:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 05:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log (85.69 KB, application/x-bzip)
2007-12-21 01:44 EST, The Source
no flags Details

  None (edit)
Description The Source 2007-12-21 01:03:14 EST
Description of problem:
All programs that use SDL for sound are silent for unknown reason. Problem
appeared in fedora 8, worked fine in fedora 7. I suspect it is connected to
pulse audio. I removed alsa-plugin-pulseaudio, because it created problems with
using 'default device'.

Version-Release number of selected component (if applicable):
1.2.12-2.fc8 (i686, x86_64)

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jon Stanley 2007-12-21 01:26:04 EST
Thank you for taking the time to report this bug. This bug report isn't very
useful because it doesn't describe the bug well. If you have time and can
still reproduce the bug, please read 
http://fedoraproject.org/wiki/BugsAndFeatureRequests and add a more useful 
description to this bug.
Thank you.

In particular, this link on the page above:
http://www.chiark.greenend.org.uk/~sgtatham/bugs.html
Comment 2 The Source 2007-12-21 01:43:51 EST
I understand that but I don't know what do you need exactly to trace the
problem. I made strace log of solarwolf game that uses SDL for sound. I'm
attaching it here. If you need something else, please tell me how to produce it.
Comment 3 The Source 2007-12-21 01:44:20 EST
Created attachment 290224 [details]
strace log
Comment 4 Jon Stanley 2007-12-21 11:17:29 EST
Is there anything of interest in /var/log/messages or perhaps in dmesg?  Are
there any error messages produced when the sound doesn't work?
Comment 5 Hans de Goede 2007-12-23 10:06:30 EST
There have been some fixes to SDL relating its usage when not using pulseaudio,
can you please update your system to the latest version of all packages
(esp to SDL-1.2.12-4.fc8 and SDL_mixer-1.2.8-6.fc8).

Then logout and login again (to reread profile.d files) and test again,

Thanks,

Hans
Comment 6 The Source 2007-12-23 11:08:33 EST
I'll do it asap, but I've just bought Creative X-Fi Platinum fatality champion
and I have problems with installing drivers because of bad configure script. As
soon as I install these drivers I'll test SDL
Comment 7 Vlado Potisk 2008-01-01 17:46:08 EST
The same problem here. SDL is silent. The flash plugin is also silent, but
everything else produces sound normally. I have to start the pulseaudio daemon
manually though. No error messages. I don't know how to debug sound related
problems.

SDL_mixer-1.2.8-6.fc8.x86_64
SDL_sound-1.0.1-8.fc8.x86_64
SDL-1.2.12-5.fc8.x86_64
alsa-utils-1.0.15-1.fc8.x86_64
alsa-plugins-pulseaudio-1.0.14-5.fc8.x86_64
alsa-lib-1.0.15-1.fc8.x86_64
Comment 8 Hans de Goede 2008-01-07 13:43:55 EST
(In reply to comment #7)
> The same problem here. SDL is silent. The flash plugin is also silent, but
> everything else produces sound normally. I have to start the pulseaudio daemon
> manually though. No error messages. I don't know how to debug sound related
> problems.
> 
> SDL_mixer-1.2.8-6.fc8.x86_64
> SDL_sound-1.0.1-8.fc8.x86_64
> SDL-1.2.12-5.fc8.x86_64
> alsa-utils-1.0.15-1.fc8.x86_64
> alsa-plugins-pulseaudio-1.0.14-5.fc8.x86_64
> alsa-lib-1.0.15-1.fc8.x86_64
> 

Have you tried logging in and then out again after yum update?
What does executing "printenv | grep SDL" from the terminal say?
Comment 9 Vlado Potisk 2008-01-07 14:28:54 EST
First some news: flash plugin and pulseaudio start problems are solved now, that
means they were unrelated to this bug.

> Have you tried logging in and then out again after yum update?
Yes, no change.

> What does executing "printenv | grep SDL" from the terminal say?
SDL_AUDIODRIVER=esd
Comment 10 Hans de Goede 2008-01-08 15:17:46 EST
(In reply to comment #9)
> First some news: flash plugin and pulseaudio start problems are solved now, that
> means they were unrelated to this bug.
> 
> > Have you tried logging in and then out again after yum update?
> Yes, no change.
> 
> > What does executing "printenv | grep SDL" from the terminal say?
> SDL_AUDIODRIVER=esd
> 

Hmm, do you have esound-libs installed? If not try installing them, SDL needs
them when using pulseaudio, but doesn't require them as SDL dlopen's them.

Comment 11 Vlado Potisk 2008-01-08 17:43:30 EST
> Hmm, do you have esound-libs installed?
Yes, I do.
esound-libs-0.2.38-6.fc8.x86_64
Comment 12 Thomas Woerner 2008-02-01 10:44:00 EST
Can you please try to set SDL_AUDIODRIVER=alsa. Another way could be to remove
pulseaudio and alsa-plugins-pulseaudio. I also have had problems with pulseaudio
and removed it, which solved my problems.
Comment 13 Vlado Potisk 2008-02-16 10:56:55 EST
I hope the bug reporter does not mind if I answer the question. Unfortunately
SDL_AUDIODRIVER=alsa does nothing.

I hesitate to remove the pulseaudio, because everything else is working
(sound-wise) and I'm glad to have achieved at least this state.
Comment 14 Holger Hetterich 2008-03-21 06:59:51 EDT
Not sure if this is related.

I am not a fedora user, but I tried to compile a program a few days ago in i386
fedora core 8. The configure script checks if it can play ogg through
libSDL_mixer (using funciton playMUS). This does not work, actually because an
ldd of libSDL_mixer shows it isn't linked to *any* sound library. Doing the same
on an opensuse system shows at least aufiofile. PlayMUS fails and so does the
corresponding configure check.

I was not able to compile Wesnoth because of this.

Interesting thing was that it compiled on x86_64 but I had no physical access to
the machine so I could'nt investigate here any more.
Comment 15 Holger Hetterich 2008-03-21 13:17:16 EDT
The packages I used:

SDL_mixer-devel-1.2.8-4.fc8.i386.rpm  
SDL_mixer-1.2.8-4.fc8.i386.rpm  

The program configure is using for testing ogg support:

| /* end confdefs.h.  */
| 
|       #include <SDL_mixer.h>
|         #include <stdlib.h>
| 
|       int main(int argc, char **argv)
|         {
|           Mix_Music* music = Mix_LoadMUS("data/core/music/main_menu.ogg");
|           if (music == NULL)
|               exit(1);
|           exit(0);
|         }
| 
configure:13616: result: no
configure:13618: error: *** SDL_mixer has no OGG support! You need SDL_mixer
with OGG support




ldd:
bash-3.2# ldd /usr/lib/libSDL_mixer-1.2.so.0
        linux-gate.so.1 =>  (0xffffe000)
        libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0xb7e66000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7e4d000)
        libc.so.6 => /lib/libc.so.6 (0xb7cf4000)
        libm.so.6 => /lib/libm.so.6 (0xb7ccb000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7cc5000)
        /lib/ld-linux.so.2 (0x80000000)
Comment 16 Hans de Goede 2008-03-21 15:02:47 EDT
I don't know why the ./configure check fails, but SDL_mixer can play .ogg files
just fine, libogg.so.0 / libvorbisfile.so.3 are not showing up in ldd because
SDL_mixer dlopens them.
Comment 17 Holger Hetterich 2008-03-21 15:45:06 EDT
Thank you, libvorbis was missing
Comment 18 Bug Zapper 2008-11-26 04:06:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.